### Function

# Clutter value_get_shader_float

#### Declaration [src]

    const gfloat*
    clutter_value_get_shader_float (
      const GValue* value,
      gsize* length
    )

#### Description [src]

Retrieves the list of floating point values stored inside the passed `GValue`. `value` must have been initialized with `CLUTTER_TYPE_SHADER_FLOAT`.

#### Parameters

`value`

  Type: `GValue`

  A `GValue`.

  The data is owned by the caller of the function.

`length`

  Type: `gsize*`

  Return location for the number of returned floating point values, or `NULL`.

  The argument will be set by the function.

#### Return value

Type: An array of `gfloat`

The pointer to a list of floating point values. The returned value is owned by the `GValue` and should never be modified or freed.

The length of the array is in the `length` argument.
The data is owned by the called function.